<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/root_layout"
    android:layout_width="match_parent"
    android:layout_height="420dp"
    android:background="@color/operation_bg"
    android:minWidth="500dp"
    android:orientation="vertical">

    <RelativeLayout
        android:id="@+id/toolbar_layout"
        style="@style/OperationSearchToolBar"
        android:layout_height="50dp"
        android:layout_width="match_parent">

        <Button
            android:id="@+id/back_btn"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentLeft="true"
            android:layout_centerVertical="true"
            android:background="@drawable/ic_history_back_on"
            android:visibility="visible" />

        <TextView
            android:id="@+id/title"
            style="@style/DialogToolBarTitle"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerHorizontal="true"
            android:layout_centerVertical="true"
            android:text="@string/push_message_send"
            android:textColor="@color/edt_text"
            android:textSize="@dimen/opeartion_title_text_size" />

        <Button
            android:id="@+id/close_btn"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:layout_centerVertical="true"
            android:background="@drawable/ic_operation_close"
            android:contentDescription="@string/cont_desc" />
    </RelativeLayout>

    <LinearLayout
        android:id="@+id/push_send_layout"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <LinearLayout
            android:id="@+id/settingLayout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="10dp"
            android:layout_marginRight="10dp"
            android:layout_marginTop="20dp"
            android:orientation="vertical">

            <LinearLayout
                android:id="@+id/operation_layout"
                android:layout_width="match_parent"
                android:layout_height="40dp"
                android:layout_weight="2"
                android:gravity="center"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/title_operation_name"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="0.3"
                    android:text="@string/operation_name"
                    android:textColor="@color/operation_default_text_color"
                    android:textSize="@dimen/app_small_text_size"
                    android:textStyle="bold" />

                <TextView
                    android:id="@+id/operation_name"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="0.7"
                    android:gravity="end"
                    android:ellipsize="end"
                    android:singleLine="true"
                    android:text=""
                    android:textColor="@color/operation_default_text_color"
                    android:textSize="@dimen/app_normal_text_size" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:background="@color/black_translucent" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="40dp"
                android:layout_gravity="center"
                android:orientation="horizontal">


                <RadioGroup
                    android:id="@+id/send_target_group"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginBottom="5dp"
                    android:layout_marginRight="5dp"
                    android:layout_marginTop="5dp"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_weight="3"
                        android:gravity="center_vertical"
                        android:paddingTop="3dp"
                        android:text="@string/send_destination"
                        android:textColor="@color/operation_default_text_color"
                        android:textSize="@dimen/app_small_text_size"
                        android:textStyle="bold" />

                    <RadioButton
                        android:id="@+id/in_gourp"
                        android:layout_width="120dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@drawable/radio_left"
                        android:button="@null"
                        android:checked="true"
                        android:gravity="center"
                        android:text="@string/in_group"
                        android:textColor="@color/text_select" />

                    <RadioButton
                        android:id="@+id/all_operation"
                        android:layout_width="120dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@drawable/radio_right"
                        android:button="@null"
                        android:gravity="center"
                        android:text="@string/all_operation"
                        android:textColor="@color/text_select" />
                </RadioGroup>

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:background="@color/black_translucent" />

            <LinearLayout
                android:id="@+id/fix_push_message_layout"
                android:layout_width="match_parent"
                android:layout_height="40dp"
                android:layout_marginTop="10dp"
                android:layout_weight="2"
                android:gravity="center"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/title_message"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="0.3"
                    android:text="@string/send_message"
                    android:textColor="@color/operation_default_text_color"
                    android:textSize="@dimen/app_small_text_size"
                    android:textStyle="bold" />

                <TextView
                    android:id="@+id/message_title"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="0.7"
                    android:gravity="end"
                    android:text=""
                    android:textColor="@color/operation_default_text_color"
                    android:textSize="@dimen/app_small_text_size"
                    android:textStyle="bold" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:background="@color/black_translucent" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="10dp"
                android:gravity="center"
                android:orientation="horizontal">

                <EditText
                    android:id="@+id/message"
                    android:layout_width="match_parent"
                    android:layout_height="80dp"
                    android:background="@drawable/border"
                    android:gravity="top"
                    android:text=""
                    android:textColor="@color/edt_text" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:background="@color/black_translucent" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="10dp"
                android:gravity="center"
                android:orientation="horizontal">

                <Button
                    android:id="@+id/send_btn"
                    android:layout_width="120dp"
                    android:layout_height="50dp"
                    android:layout_margin="10dp"
                    android:background="@drawable/operation_radius_frame"
                    android:text="@string/send"
                    android:textColor="@color/text_color" />

            </LinearLayout>
        </LinearLayout>
    </LinearLayout>

    <ListView
        android:id="@+id/listView"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:visibility="gone" />


</LinearLayout>